//go:build !windows

package deploy

import "os/exec"

func PrepareHiddenProcess(cmd *exec.Cmd) {}

func HiddenCommand(name string, arg ...string) *exec.Cmd {
	return exec.Command(name, arg...)
}

func HiddenRun(name string, arg ...string) error {
	return exec.Command(name, arg...).Run()
}

func HiddenStart(name string, arg ...string) error {
	return exec.Command(name, arg...).Start()
}

func HiddenCombinedOutput(name string, arg ...string) ([]byte, error) {
	return exec.Command(name, arg...).CombinedOutput()
}

func HiddenOutput(name string, arg ...string) ([]byte, error) {
	return exec.Command(name, arg...).Output()
}

